<section *ngIf="loggedIn">
    <div class="players">
        <h2>Current matches</h2>
        <div class="container py-3">
            <div class="card" *ngFor="let partie of curParties">
                <div class="row ">
                    <div class="col-md-8 px-3">
                        <div class="card-block px-3">
                            <h4 class="card-title">{{partie.pseudo}}</h4>
                            <p class="card-text" *ngIf="partie.joueurTour==uid">It's your turn to play !</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <button  [ngClass]="partie.joueurTour==uid ? 'btn btn-success':'btn btn-primary'" id="remove" [routerLink]="['/battle', partie.id_partie, partie.joueurTour, partie.pseudo]" skipLocationChange>Continue</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="players">
        <h2>Challenges from other trainers</h2>
        <div class="container py-3">
            <div class="card" *ngFor="let partie of demandesExt; let i=index">
                <div class="row ">
                    <div class="col-md-8 px-3">
                        <div class="card-block px-3">
                            <h4 class="card-title">{{partie.pseudo}}</h4>
                            <p class="card-text">hey !</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <button  class="btn btn-primary" id="accept" (click)="acceptChallenge(partie, i)">Accept</button >
                        <button  class="btn btn-danger" id="refuse" (click)="refuseChallenge(partie.id_partie, i)">Refuse</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="players">
        <h2>Pending requests</h2>
        <div class="container py-3">
            <div class="card" *ngFor="let partie of demandesInt">
                <div class="row ">
                    <div class="col-md-8 px-3">
                        <div class="card-block px-3">
                            <h4 class="card-title">{{partie.pseudo}}</h4>
                            <p class="card-text">hey !</p>
                        </div>
                    </div>
                    <div class="col-md-4">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="alert alert-warning alert-dismissible fade show" role="alert" *ngIf="!loggedIn">
    You need to <strong>create an account</strong> to use this feature.
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
</div>